'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.moleculeTabsVariants = exports.moleculeTabsTypes = undefined;

var _values = require('babel-runtime/core-js/object/values');

var _values2 = _interopRequireDefault(_values);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var TYPES = {
  HORIZONTAL: 'horizontal',
  VERTICAL: 'vertical',
  FULLWIDTH: 'fullWidth'
};

var VARIANTS = {
  HIGHLIGHTED: 'highlighted',
  CLASSIC: 'classic'
};

var MoleculeTabs = function (_Component) {
  (0, _inherits3.default)(MoleculeTabs, _Component);

  function MoleculeTabs() {
    var _ref;

    var _temp, _this, _ret;

    (0, _classCallCheck3.default)(this, MoleculeTabs);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = (0, _possibleConstructorReturn3.default)(this, (_ref = MoleculeTabs.__proto__ || (0, _getPrototypeOf2.default)(MoleculeTabs)).call.apply(_ref, [this].concat(args))), _this), _this.state = {
      activeTab: _this.props.activeTab
    }, _temp), (0, _possibleConstructorReturn3.default)(_this, _ret);
  }

  (0, _createClass3.default)(MoleculeTabs, [{
    key: '_createHandleChange',
    value: function _createHandleChange(index) {
      var _this2 = this;

      return function (event) {
        event.preventDefault();
        if (_this2.props.items[index].enabled !== false) {
          _this2.setState({ activeTab: index });
          _this2.props.handleChange(index, _this2.props.items[index]);
        }
      };
    }
  }, {
    key: '_renderTabs',
    value: function _renderTabs() {
      var _this3 = this;

      var items = this.props.items;
      var activeTab = this.state.activeTab;


      return items.map(function (item, index) {
        var tabLinkClassName = (0, _classnames2.default)('sui-MoleculeTabs-button', {
          'active': activeTab === index,
          'disabled': item.enabled === false
        });

        return _react2.default.createElement(
          'li',
          { className: 'sui-MoleculeTabs-item', key: index },
          _react2.default.createElement(
            'button',
            {
              className: tabLinkClassName,
              onClick: _this3._createHandleChange(index),
              role: 'tab'
            },
            item.icon && _react2.default.createElement(
              'span',
              { className: 'sui-MoleculeTabs-icon' },
              item.icon
            ),
            _react2.default.createElement(
              'span',
              null,
              item.label
            )
          )
        );
      });
    }
  }, {
    key: 'render',
    value: function render() {
      return _react2.default.createElement(
        'nav',
        { className: (0, _classnames2.default)('sui-MoleculeTabs', 'sui-MoleculeTabs--' + this.props.variant, 'sui-MoleculeTabs--' + this.props.type) },
        _react2.default.createElement(
          'ul',
          { className: 'sui-MoleculeTabs-scroller' },
          this._renderTabs()
        )
      );
    }
  }]);
  return MoleculeTabs;
}(_react.Component);

MoleculeTabs.displayName = 'MoleculeTabs';

MoleculeTabs.defaultProps = {
  activeTab: 0
};

MoleculeTabs.propTypes = process.env.NODE_ENV !== "production" ? process.env.NODE_ENV !== "production" ? {
  /**
   * List of items for generate tabs
   */
  items: _propTypes2.default.arrayOf(_propTypes2.default.shape({
    /**
     * label to be displayed.
     */
    label: _propTypes2.default.node.isRequired,
    /**
     * Icon of the tab item
     */
    icon: _propTypes2.default.node,
    /**
     * first state.
     */
    active: _propTypes2.default.bool,
    /**
     * Allows to disable a tab by setting this to false
     */
    enabled: _propTypes2.default.bool

  })).isRequired,
  /**
   * Point at the selected tab
   */
  activeTab: _propTypes2.default.number,
  /**
   * By clicking on every single tab, `handleChange` is triggered and sends an
   * object with the item information and position in the array.
   */
  handleChange: _propTypes2.default.func.isRequired,
  variant: _propTypes2.default.oneOf((0, _values2.default)(VARIANTS)),
  type: _propTypes2.default.oneOf((0, _values2.default)(TYPES))
} : {} : {};

MoleculeTabs.defaultProps = {
  variant: VARIANTS.CLASSIC,
  type: TYPES.HORIZONTAL
};

exports.default = MoleculeTabs;
exports.moleculeTabsTypes = TYPES;
exports.moleculeTabsVariants = VARIANTS;